---
categories: hardware storage
title: Howto SMART
...

Documentation : <https://www.smartmontools.org/wiki/TocDoc>

**SMART** (Self-Monitoring, Analysis and Reporting Technology) est un protocole de diagnostic des disques durs et SSD.

## Installation

Sous Debian, on utilisera la commande **smartctl** fournie par le paquet **smartmontools** pour communiquer avec nos disques durs.

~~~
# apt install smartmontools
~~~

## Utilisation

### Lister les disques 

Sur une machine avec un seul disque :

~~~
# smartctl --scan

/dev/sda -d scsi # /dev/sda, SCSI device
~~~

Sur une machine avec du RAID hardware :

~~~
# smartctl --scan

/dev/hdd -d ata # /dev/hdd, ATA device
/dev/sda -d scsi # /dev/sda, SCSI device
/dev/sdb -d scsi # /dev/sdb, SCSI device
/dev/sdc -d scsi # /dev/sdc, SCSI device
/dev/bus/0 -d megaraid,0 # /dev/bus/0 [megaraid_disk_00], SCSI device
/dev/bus/0 -d megaraid,1 # /dev/bus/0 [megaraid_disk_01], SCSI device
/dev/bus/0 -d megaraid,2 # /dev/bus/0 [megaraid_disk_02], SCSI device
/dev/bus/0 -d megaraid,3 # /dev/bus/0 [megaraid_disk_03], SCSI device
/dev/bus/0 -d megaraid,4 # /dev/bus/0 [megaraid_disk_04], SCSI device
/dev/bus/0 -d megaraid,5 # /dev/bus/0 [megaraid_disk_05], SCSI device
/dev/bus/0 -d megaraid,6 # /dev/bus/0 [megaraid_disk_06], SCSI device
~~~

### Voir les informations sur un disque 

L'option -i permet d'afficher les informations sur un disque :

~~~
# smartctl -i /dev/sda

=== START OF INFORMATION SECTION ===
Model Family:     Seagate Laptop Thin HDD
Device Model:     ST500LM021-1KJ152
Serial Number:    XXXXXXXX
LU WWN Device Id: 5 000c50 09cbac333
Firmware Version: 0005SDM1
User Capacity:    500,107,862,016 bytes [500 GB]
Sector Sizes:     512 bytes logical, 4096 bytes physical
Rotation Rate:    7200 rpm
Form Factor:      2.5 inches
Device is:        In smartctl database [for details use: -P show]
ATA Version is:   ATA8-ACS T13/1699-D revision 4
SATA Version is:  SATA 3.0, 6.0 Gb/s (current: 6.0 Gb/s)
Local Time is:    Tue Nov 28 16:19:49 2017 CET
SMART support is: Available - device has SMART capability.
SMART support is: Enabled
~~~

Si votre disque n'est pas un disque physique mais un volume d'un RAID hardware, il faut préciser le type et le numéro du disque physique voulu :

~~~
# smartctl -i /dev/sda -d megaraid,0

=== START OF INFORMATION SECTION ===
Device Model:     SSDSC2BB480G7R
Serial Number:    XXXXXXXXXXXXXXXXXX
LU WWN Device Id: 5 5cd2e4 14d52d0aa
Add. Product Id:  DELL(tm)
Firmware Version: N201DL41
User Capacity:    480,103,981,056 bytes [480 GB]
Sector Sizes:     512 bytes logical, 4096 bytes physical
Rotation Rate:    Solid State Device
Form Factor:      2.5 inches
Device is:        Not in smartctl database [for details use: -P showall]
ATA Version is:   ACS-3 T13/2161-D revision 5
SATA Version is:  SATA 3.1, 6.0 Gb/s (current: 6.0 Gb/s)
Local Time is:    Tue Nov 28 16:27:57 2017 CET
SMART support is: Available - device has SMART capability.
SMART support is: Enabled
~~~
